summaryrefslogtreecommitdiff
path: root/init.d/40vcs-init
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2008-01-04 17:38:10 -0500
committerJoey Hess <joey@kodama.kitenet.net>2008-01-04 17:38:10 -0500
commit788ae5a34c0fad2e3c0788a745400a138d735195 (patch)
tree2517eb3ccf206f4ed7b6ef6a1d543c87caaf2e41 /init.d/40vcs-init
parent69739dd0341ba72a645344ea14658f0ede006079 (diff)
parentfd4a85189390d6e6f022eb8f71fcecb5d5f82958 (diff)
Merge branch 'hg'
Significantly refactored
Diffstat (limited to 'init.d/40vcs-init')
-rwxr-xr-xinit.d/40vcs-init11
1 files changed, 11 insertions, 0 deletions
diff --git a/init.d/40vcs-init b/init.d/40vcs-init
new file mode 100755
index 0000000..e2677bc
--- /dev/null
+++ b/init.d/40vcs-init
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ] && [ ! -e .git ]; then
+ git init
+ echo "$(hostname) /etc repository" > .git/description
+elif [ "$VCS" = hg ] && [ ! -e .hg ]; then
+ hg init
+ echo "[web]" > .hg/hgrc
+ echo "description = $(hostname) /etc repository" >> .hg/hgrc
+fi